StableOps
API 參考

更新 Webhook 端點

更新 Webhook 端點介面說明。查閱 StableOps 通用 API 的鑑權範圍、請求路徑、參數欄位、回應結構、環境限制和錯誤處理要求,並結合冪等、許可權與狀態流轉規則,將該介面安全接入收款業務與自動化流程。

PATCH/v1/webhook-endpoints/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Webhook endpoint id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/webhook-endpoints/{id}" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "url": "http://example.com",
  "description": "string",
  "enabled_events": [
    "payment_order.created"
  ],
  "redact_metadata": true,
  "disabled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "secret": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新